%define base_name	camlimages
%define name		ocaml-%{base_name}
%define version		3.0.1
%define release		%mkrel 4

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Summary:	Image processing library for Objective Caml
Group:		Development/Other
URL:		http://gallium.inria.fr/camlimages/
Source:		http://gallium.inria.fr/camlimages/%{base_name}-%{version}.tar.bz2
Patch0:         camlimages-3.0.1-display-module.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=509531#c4
Patch1:         camlimages-oversized-png-check-CVE-2009-2295.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=528732
Patch2:         camlimages-oversized-tiff-check-CVE-2009-3296.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildRequires:  ocaml >= 3.10.1
BuildRequires:	ocaml-lablgtk2-devel
BuildRequires:  gtk2-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libxpm-devel
#BuildRequires:  ghostscript-devel
BuildRequires:  libgs-devel
BuildRequires:  freetype-devel
BuildRequires:  libungif-devel
BuildRequires:  libtiff-devel


%description 
CamlImages is an image processing library for Objective Caml

%package devel
Summary:	Image processing library for Objective Caml
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	ocaml-lablgtk2-devel

%description devel
CamlImages is an image processing library for Objective Caml

%prep
%setup -q -n %{base_name}-%{version}

# Gdk.Display submodule clashes with the Display module in
# the examples/liv directory, so rename it:
%patch0 -p1
mv examples/liv/display.ml examples/liv/livdisplay.ml

%patch1 -p1 -b .CVE-2009-2295
%patch2 -p1 -b .CVE-2009-3296

%build
%configure2_5x \
    --without-lablgtk \
    --with-lablgtk2 \
    --with-lablgtk2-dir=%{_libdir}/ocaml/lablgtk2
make

%install
rm -rf %{buildroot}
make install ocamlsitelibdir=%{_libdir}/ocaml/camlimages DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL README
%dir %{_libdir}/ocaml/%{base_name}
%{_libdir}/ocaml/%{base_name}/META
%{_libdir}/ocaml/%{base_name}/*.cmi
%{_libdir}/ocaml/%{base_name}/*.cma
%{_libdir}/ocaml/stublibs/*.so

%files devel
%defattr(-,root,root)
%doc doc/*.{html,jpg}
%{_libdir}/ocaml/%{base_name}/*
%exclude %{_libdir}/ocaml/%{base_name}/META
%exclude %{_libdir}/ocaml/%{base_name}/*.cmi
%exclude %{_libdir}/ocaml/%{base_name}/*.cma


%changelog
* Wed Oct 21 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0.1-4mdv2010.0
+ Revision: 458556
- whoops! i used the wrong spec file, fixed now
- sync with fc12

* Sun Aug 23 2009 Funda Wang <fundawang@mandriva.org> 3.0.1-3mdv2010.0
+ Revision: 419790
- rebuild for new libjpeg v7

* Sun Jun 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.1-2mdv2010.0
+ Revision: 390238
- rebuild

* Thu Jan 08 2009 Florent Monnier <blue_prawn@mandriva.org> 3.0.1-1mdv2009.1
+ Revision: 327201
- ghostscript-devel is libgs-devel
- include the doc
- removed double META
- new home page for the project (be carefull the old one is still there)
- New upstream version 3.0.1
- added some buildRequires
- corrected install path, and deps path
- corrected file split between main and devel

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.20-13mdv2009.0
+ Revision: 254185
- rebuild

* Fri Mar 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.20-11mdv2008.1
+ Revision: 188014
- rebuild to fix discrepancies between binary packages

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.20-10mdv2008.1
+ Revision: 136633
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.20-10mdv2008.0
+ Revision: 78354
- ocaml policy compliance
  more dependencies for devel package

* Tue Jul 03 2007 Pixel <pixel@mandriva.com> 2.20-9mdv2008.0
+ Revision: 47400
- rebuild for ocaml 3.10.0


* Fri Feb 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.20-8mdv2007.0
+ Revision: 125036
- rebuild
- Import ocaml-camlimages

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.20-7mdv2007.0
- Rebuild

* Thu Apr 27 2006 Pixel <pixel@mandriva.com> 2.20-6mdk
- rebuild for new ocaml

* Mon Jan 23 2006 Pixel <pixel@mandriva.com> 2.20-5mdk
- build require ocaml-lablgtk-devel & ocaml-lablgtk2-devel
- rebuild for new ocaml

* Wed Nov 09 2005 Guillaume Bedot <littletux@mandriva.org> 2.20-4mdk
- rebuilt for ocaml 3.09.0

* Wed Jun 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.20-3mdk 
- rebuild for later ocaml
- drop macros merged into rpm

* Thu Dec 02 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.20-2mdk 
- rebuild for new ocaml

* Wed Dec 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.20-1mdk 
- new version

* Mon Nov 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.12-4mdk 
- rebuild

* Sun May 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.12-3mdk
- this is a pure devel package
- rpmbuildupate aware

* Wed Apr 07 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.12-2mdk
- enforce versioned dependency on ocaml compiler

* Wed Apr 07 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.12-1mdk
- new version

